/* 
1. Чому для роботи з input не рекомендується використовувати клавіатуру?

Якщо я правильно зрозумів питання, то воно звучить наступним чином: "Чому не бажано використовувати для роботи з input обробники подій, повязані з клавіатурою". Відповідаю саме на це питання.
Якщо застосовувати для input обробники подій, повязані з клавіатурою, то можуть виникнути небажані викривлення логіки. Це повязано з тим, що якщо ми вішаємо на input таку подію, то очікуємо вводу, зміни, видалення данних саме клавіатурою. В той же час, все це може робитись мишкою, а на мобільних девайсах ще іншими засобами. В такому разі запланована поведінка коду може змінитись і код може не спрацювати там, де ми очікували, що він спрацює, або навпаки.
*/


// Вирішення завдання:

const btnWrapper = document.querySelector(".btn-wrapper");
const buttons = document.querySelectorAll("button");

document.addEventListener('keydown', function(event) {
  buttons.forEach(elem => {
    if (event.key === elem.textContent) {
      buttons.forEach(elem => {
        elem.classList.remove("active");
      })
      elem.classList.add("active");
    }
  }) 
});




